# TODO:
# - package libxnee if needed for anything (it's noinst now)
# - generate docs - (some files are missing)
#
# Conditional build:
%bcond_with	doc	# documentation (broken, missing files)
%bcond_with	gnome	# GNOME 2 panel applet (not ready for GNOME 3)
#
Summary:	Suite of programs that can record and replay user actions under X11
Summary(pl.UTF-8):	Zestaw programów do nagrywania i odtwarzania akcji użytkownika pod X11
Name:		Xnee
Version:	3.15
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	http://ftp.gnu.org/gnu/xnee/xnee-%{version}.tar.gz
# Source0-md5:	32c8ac9f354741f03d7736383599984e
Patch0:		%{name}-info.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-am.patch
URL:		http://www.gnu.org/software/xnee/www/index.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	texinfo
BuildRequires:	xorg-proto-recordproto-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXtst-devel
%if %{with gnome}
BuildRequires:	GConf2-devel >= 2.0
BuildRequires:	gnome-panel-devel >= 2.0
BuildRequires:	gnome-panel-devel < 3
%endif
%if %{with doc}
BuildRequires:	ImageMagick
BuildRequires:	ImageMagick-coder-jpeg
BuildRequires:	ImageMagick-coder-png
BuildRequires:	dia
BuildRequires:	ghostscript
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-plain
BuildRequires:	tetex-tex-misc
BuildRequires:	texinfo-texi2dvi
%endif
Provides:	xnee
Obsoletes:	xnee
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xnee is a suite of programs that can record, replay and distribute
user actions under the X11 environment. Think of it as a robot that
can imitate the job you just did. Xnee can be used to: automate tests,
demonstrate programs, distribute actions, record and replay "macros",
retype a file etc.

%description -l pl.UTF-8
Xnee to zestaw programów do nagrywania, odtwarzania i powielania akcji
użytkownika w środowisku X11. Można je określić jako maszynę
powtarzającą pracę wykonaną przez nas. Xnee można użyć do:
automatyzowania testów, demonstrowania programów, powielania akcji (na
wielu komputerach), nagrywania i odtwarzania "makr", przepisywania
plików itp.

%package gtk
Summary:	gnee - GTK+ based graphical frontent to GNU Xnee
Summary(pl.UTF-8):	gnee - oparty na GTK+ graficzny interfejs do GNU Xnee
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gtk
gnee is the graphical frontend to GNU Xnee, based on GTK+ toolkit.

%description gtk -l pl.UTF-8
gnee to graficzny interfejs do GNU Xnee, oparty na GTK+.

%package gnome
Summary:	pnee - GNOME panel applet for GNU Xnee
Summary(pl.UTF-8):	pnee - aplet panelu GNOME dla GNU Xnee
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gnome
pnee is the GNOME panel applet for GNU Xnee.

%description gnome -l pl.UTF-8
pnee to aplet panelu GNOME dla GNU Xnee.

%prep
%setup -q -n xnee-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# disable static as no API is installed
%configure \
	--disable-doc \
	--disable-static \
	--disable-static-programs \
	%{?with_gnome:--enable-gnome-applet} \
	--enable-gui \
	--enable-lib \
	--enable-xosd

%{__make} \
	CNEE_INFO="cnee.info"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	CNEE_INFO="cnee.info" \
	PANEL_APPLET_DIR=$RPM_BUILD_ROOT%{_bindir} \
	PANEL_SERVER_DIR=$RPM_BUILD_ROOT%{_libdir}/bonobo/servers

# API not installed
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxnee.{so,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/sbin/ldconfig
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/sbin/ldconfig
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog FAQ NEWS README TODO
%attr(755,root,root) %{_bindir}/cnee
%attr(755,root,root) %{_libdir}/libxnee.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxnee.so.0
%dir %{_datadir}/xnee
%{_datadir}/xnee/*.sh
%{_datadir}/xnee/*.xns
%{_pixmapsdir}/xnee.png
%{_pixmapsdir}/xnee.xpm
%{_mandir}/man1/cnee.1*
%{_mandir}/man1/xnee.1*
%{_infodir}/cnee.info*

%files gtk
%defattr(644,root,root,755)
%doc gnee/AUTHORS
%attr(755,root,root) %{_bindir}/gnee
%{_mandir}/man1/gnee.1*

%if %{with gnome}
%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pnee
%{_libdir}/bonobo/servers/pnee.server
%dir %{_datadir}/xnee/pixmaps
%{_datadir}/xnee/pixmaps/pnee-*.png
%{_mandir}/man1/pnee.1*
%endif
%changelog
* Sat Jan 12 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Xnee.git;a=log;h=master

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 3537e80
- disable obsoleted GNOME 2-only panel applet; release 1

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 558f949
- updated to 3.15
- added link patch (fixes linking when using shared libxnee)
- added am patch (fixes build with automake 1.13)

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 5eb5f00
- unify ftp.gnu.org urls

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 8998578
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Sat Jul 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 17ddc48
- fixed -gnome build

* Sat Jul 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 8445abf
- updated info patch
- separated -gtk, -gnome (last one not tested yet, bcond added)
- updated License (GPL v3 now)

* Sat Jul 14 2007 Jakub Bogusz <qboosh@pld-linux.org> fd3d1b1
- updated for 3.01

* Tue Jul 10 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 7c2500e
- up to 3.01, NFY

* Sat May 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 8c790bd
- spec renamed

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8af5844
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2f4dc8a
- converted to UTF-8

* Sat Oct 08 2005 Paweł Gołaszewski <blues@pld-linux.org> 175dc1b
- outdated

* Sat Oct 08 2005 Paweł Gołaszewski <blues@pld-linux.org> 39241bf
- 2.01 - new name (cvsadmin, please do your duty ;) ); disabled docs due to
  crazy deps to generate them.

* Sat Oct 08 2005 Paweł Gołaszewski <blues@pld-linux.org> 62e2718
- renamed from xnee-info.patch; removed outdated part, updated for 2.01

* Tue Dec 30 2003 Jakub Bogusz <qboosh@pld-linux.org> e11935d
- BR: texinfo

* Tue Dec 30 2003 Jakub Bogusz <qboosh@pld-linux.org> 32202ea
- new

* Tue Dec 30 2003 Jakub Bogusz <qboosh@pld-linux.org> 1df445d
- direntry unification

